Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.hipergate
Class OrderLine

    java.lang.Object
      com.knowgate.dataobjs.DBPersist
          com.knowgate.hipergate.OrderLine

All Implemented Interfaces:
  java.io.Serializable, java.util.Map

    public class OrderLine

extends DBPersist

Order Line

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Field Summary

Fields inherited from class com.knowgate.dataobjs.DBPersist
`AllVals, sAuditCls, sAuditUsr, sTransactId`

Constructor Summary
`OrderLine()`

Method Summary
`java.math.BigDecimal` | `computeTotal()` Compute line total from base price, number of units and taxes If is_tax_included==1 Or is_tax_included is null Then pct_tax_rate is applied Else it is ignored
`boolean` | `store(JDCConnection oConn)` Store order line This method updated k_orders.dt_modified to current datetime as a side effect

Methods inherited from class com.knowgate.dataobjs.DBPersist
`allcaps, allcaps, changelog, clear, clone, containsKey, containsValue, delete, entrySet, exists, get, get, getAuditClassName, getCreationDate, getDate, getDateFormated, getDateShort, getDateTime, getDateTime24, getDecimal, getDecimalFormated, getDecimalFormated, getDouble, getDoubleFormated, getFloat, getFloatFormated, getInt, getInteger, getIntervalPart, getItemMap, getItems, getMoney, getShort, getSQLDate, getSQLTime, getString, getStringHtml, getStringNull, getTable, getTable, getTableName, getTime, getTimeOfDay, getTimestamp, getUIdFromName, isEmpty, isNull, iterator, keySet, load, load, parseXML, put, put, put, put, put, put, put, put, put, put, put, put, put, put, put, put, put, putAll, putAll, remove, remove, replace, replace, replace, replace, replace, replace, replace, replace, setAuditTransact, setAuditUser, setCreationDate, size, toLowerCase, toUpperCase, toXML, toXML, toXML, toXML, values`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### OrderLine

    public OrderLine()

Method Detail

### store

    public boolean store(JDCConnection oConn)
                  throws java.sql.SQLException

  Store order line

  This method updated k_orders.dt_modified to current datetime as a side effect

  Overrides:
    `store` in class `DBPersist`
  Parameters:
    `oConn` - JDCConnection
  Returns:
    boolean
  Throws:
    `java.sql.SQLException`

### computeTotal

    public java.math.BigDecimal computeTotal()

  Compute line total from base price, number of units and taxes

  If is_tax_included==1 Or is_tax_included is null Then pct_tax_rate is applied Else it is ignored

  Returns:
    BigDecimal pr_sale * nu_quantity * pct_tax_rate

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD